.logo-img {
    width: 130px;
}

.top-nav {
    background-color: #F6F6F7;
}

.dark-mode .top-nav {
    background-color: var(--primary-dark-color) !important;
}

.dark-mode .nav-tools .auth i {
    color: var(--white-color) !important;
}

.dark-mode .desktop-navbar {
    background-color: var(--secondary-dark-color);
}
.logo-dark {
    display: none;
}

.dark-mode .logo-light {
    display: none;
}

.dark-mode .logo-dark {
    display: block;
}
.has-sub {
    transition: .3s;
    cursor: pointer;
    color: var(--white-color);
}


.has-sub i {
    font-size: 10px;
}

.has-sub:hover .submenu {
    opacity: 1;
    pointer-events: visible;
    top: 100%;
}

.has-sub:hover i {
    rotate: 180deg;
}

.submenu {
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    position: absolute;
    width: 100%;
    z-index: 999;
    background-color: var(--white-color);
    opacity: 0;
    pointer-events: none;
    top: 150%;
    transition: 0.5s;
    inset-inline-start: 0;
    overflow: hidden;
}

.dark-mode .submenu {
    background-color: var(--primary-dark-color);
}

.submenu a {
    color: var(--primary-color);
    font-size: 13px;
}

.dark-mode .submenu a {
    color: var(--white-color) !important;
}

.submenu a:hover {
    color: var(--secondary-color);
}

.dark-mode .submenu a:hover {
    color: var(--primary-color) !important;
}

/* .menu-link-container:not(:last-child) {
    border-inline-end: 1px solid rgb(0 0 0 / 5%);
} */

.dark-mode .menu-link-container:not(:last-child) {
    border-color: rgb(255 255 255 / 10%);
}

.tools-container i {
    font-size: 20px;
}

/* Search */
.search-wrapper {
    width: 50%;
}

.search-box {
    position: relative;
    box-shadow: 0 2px 15px rgba(0, 0, 0, 0.05);
    border-radius: 50px;
    transition: all 0.3s ease;
}

.search-input {
    border-radius: 50px;
    padding-inline-start: 45px;
    padding-inline-end: 20px;
    border: 2px solid transparent;
    transition: all 0.3s ease;
    height: 50px;
}

.search-input:focus {
    border-color: transparent;
    box-shadow: none;
}

.search-icon {
    position: absolute;
    inset-inline-start: 16px;
    top: 50%;
    transform: translateY(-50%);
    color: #6c757d;
    z-index: 10;
}

.search-button {
    position: absolute;
    inset-inline-end: 5px;
    top: 50%;
    transform: translateY(-50%);
    border-radius: 50px;
    padding: 8px 20px;
    transition: all 0.3s ease;
}


/* Dark theme search box */
.search-box.dark {
    background-color: #212529;
}

.search-box.dark .search-input {
    background-color: #212529;
    color: #fff;
}

.search-box.dark .search-input::placeholder {
    color: #6c757d;
}

.search-box.dark .search-icon {
    color: #6c757d;
}

/* Mobile Nav */
@media (max-width: 991.98px) {
    .top-nav {
        background-color: var(--primary-color) !important;
    }

    .lang-btn,
    .nav-tools .auth i {
        color: var(--white-color) !important;
    }

    .mobile-nav {
        background-color: #F6F6F7;
    }

    .dark-mode .mobile-nav {
        background-color: var(--secondary-dark-color) !important;
    }

    .mobile-nav .bar-icon i {
        font-size: 20px;
    }

    .dark-mode .mobile-nav .bar-icon i {
        color: var(--white-color);
    }

    .sidebar-container {
        position: fixed;
        width: 30%;
        z-index: 999;
        inset-inline-start: -100%;
        transition: .8s;
        background: #fff;
        top: 0;
    }

    .sidebar-container.show {
        inset-inline-start: 0;
        z-index: 9999;
    }

    .sidebar,
    .sidebar-container {
        height: 100vh;
    }

    .dark-mode .sidebar {
        background-color: var(--secondary-dark-color) !important;
    }
}


@media (max-width: 767.98px) {
    .sidebar-container {
        width: 50%;
    }
}

@media (max-width: 425.98px) {
    .sidebar-container {
        width: 60%;
    }
}

@media (max-width: 375.98px) {
    .sidebar-container {
        width: 70%;
    }
}

.bar-icon {
    position: relative;
    z-index: 2;
}

/* .logo-img {
    display: flex;
    width: 250px;
    margin: auto;
} */

.main-nav-link {
    color: var(--primary-color);
}

.dark-mode .main-nav-link {
    color: var(--white-color);
}

.main-nav-link .nav-image-container {
    text-align: start;
}

.main-nav-link span {
    font-weight: 600;
}

.main-nav-link.active,
.main-nav-link:hover {
    background: var(--primary-color);
    color: var(--white-color);
}


.sub-nav-link:hover {
    color: var(--secondary-color) !important;
}

.dark-mode .sub-nav-link {
    color: var(--white-color);
}

.main-nav-link i {
    transition: .3s;
}

.main-nav-link:not(.collapsed) i {
    rotate: 180deg;
}

/* Search Container */
.searchBarOpen {
    position: fixed;
    background: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(10px);
    justify-content: center;
    align-items: center;
    z-index: 9999;
    transition: all 0.3s ease-in-out;
    padding: 2rem;
    top: -120%;
    width: 100%;
    height: 100vh;
    display: flex;
}

.searchBarOpen.active {
    top: 0;
}

.searchBarOpen--input {
    background: rgba(255, 255, 255, 0.1);
    border-radius: 50px;
    padding: .5rem;
    max-width: 600px;
    width: 100%;
    box-shadow: 0 8px 32px rgba(0, 0, 0, 0.3);
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.searchBarOpen--input input {
    padding: 0 .8rem !important;
    caret-color: #fff;
    border-radius: 50px;
    border: none;
    font-size: 1rem;
    background: transparent;
    border: 1px solid#fff;
    color: #fff;
    flex: 1;
    border: 0;
}

.searchBarOpen--input input:focus {
    border: 0;
    outline: unset;
}

.searchBarOpen--input input::placeholder {
    color: rgb(255 255 255 / 80%);
}

.searchBarOpen--input button {
    border-radius: 50px;
    align-self: flex-start;
    padding: 0.8rem 1.5rem;
    background: var(--primary-color);
    color: #fff;
    border: none;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.2s ease-in-out;
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.searchBarOpen--input button:hover {
    background: #e0e0e0;
}

.searchBarOpen--input button:hover i {
    color: var(--primary-color) !important;
}

.searchBarOpen--closeBtn {
    position: absolute;
    top: 25px;
    right: 30px;
    font-size: 1rem;
    color: white;
    cursor: pointer;
    transition: transform 0.2s ease-in-out;
}

.searchBarOpen--closeBtn:hover {
    transform: scale(1.2);
}

.badge-count {
    width: 25px;
    height: 25px;
    color: var(--white-color);
    position: absolute;
    transform: translate(-50%, -50%);
    inset-inline-start: 0;
    font-size: 12px;
    background-color: var(--secondary-color);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}
 .accordion-item {
    border-color: #0000001a !important;
 }
 .dark-mode .accordion-item {
    border-color: #ffffff1a !important;
 }
.sidebar-links .accordion-header a:not(:last-child),
.sidebar-links .accordion-header:not(:last-child),
.sidebar-links .accordion-body a:not(:last-child) {
    border-bottom: 1px solid #0000001a;
}
.dark-mode .sidebar-links .accordion-header:not(:last-child),
.dark-mode .sidebar-links .accordion-body a:not(:last-child) {
    border-color: #ffffff1a;
}
.tools-container-mobile {
     display: none !important;
 }
@media (max-width: 991.98px) {
    .tools-container-mobile {
        display: flex !important;
        position: fixed;
        width: 100%;
        background-color: var(--primary-color);
        bottom: 0;
        z-index: 999;
        padding-block: 20px 10px;
        justify-content: space-around !important;
    }
    .dark-mode .tools-container-mobile {
        background-color: var(--secondary-dark-color) !important;
    }
}